Collector Gouph
Well ... Only the most elite dwarves can make it to the Bronze Key. Collector Gentaron, founder of our guild, was the most renowned adventurer! He was so brave that he went into a dragon's nest by himself and brought out its scale! We guild members worship his spirit of adventure and courage, so we travel constantly around the wide world. There is not a single thing that my guild can't find! Once you make a request, we can bring you anything in the world! You must be prepared to pay for it, though!
We, the Bronze Key, venture out into the world to collect rare and precious treasures! If you want to be in our guild, you must train and train some more ...!
Return